# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name blaze-builder-conduit

%global common_summary Convert builder streams to bytestring streams

%global common_description Convert a stream of blaze-builder Builders into a stream of ByteStrings.\
Adapted from blaze-builder-enumerator.  The functions provided work in\
any monad built on top of IO or ST.

Name:           ghc-%{pkg_name}
Version:        0.4.0.1
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-conduit-devel > 0.4

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Tue May  1 2012 Jens Petersen <petersen@redhat.com> - 0.4.0.1-2
- rebuild

* Wed Apr 25 2012 Jens Petersen <petersen@redhat.com> - 0.4.0.1-1
- update to 0.4.0.1

* Mon Apr 16 2012 Jens Petersen <petersen@redhat.com> - 0.3.0-1
- BSD license
- depends on blaze-builder and conduit

* Mon Apr  9 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- spec file template generated by cabal2spec-0.25.5
